package com.mywickr.gui.fragments;

import android.app.AlertDialog;
import android.app.AlertDialog.Builder;
import android.content.DialogInterface;
import android.content.DialogInterface.OnCancelListener;
import android.content.DialogInterface.OnClickListener;
import android.content.res.Resources;
import android.os.Bundle;
import android.support.v4.app.FragmentActivity;
import android.text.Editable;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.CompoundButton;
import android.widget.CompoundButton.OnCheckedChangeListener;
import android.widget.EditText;
import android.widget.SeekBar;
import android.widget.SeekBar.OnSeekBarChangeListener;
import android.widget.TextView;
import com.mywickr.wickr.WickrSession;
import com.mywickr.wickr.WickrUtil;
import org.jraf.android.backport.switchwidget.Switch;

public class WickrAutoLockFragment extends WickrSherlockFragment
{
  private SeekBar currentTimeoutSeekBar;
  private TextView currentTimeoutTextView;
  private Switch neverLockSwitch;
  private String[] timeoutStrings;
  private int[] timeoutValues;

  public void onActivityCreated(Bundle paramBundle)
  {
    super.onActivityCreated(paramBundle);
    if (this.activityHasError)
      return;
    this.currentTimeoutTextView = ((TextView)getActivity().findViewById(2131296373));
    this.currentTimeoutSeekBar = ((SeekBar)getActivity().findViewById(2131296374));
    this.neverLockSwitch = ((Switch)getActivity().findViewById(2131296372));
    this.timeoutStrings = getActivity().getResources().getStringArray(2131492867);
    this.timeoutValues = getActivity().getResources().getIntArray(2131492868);
    Switch localSwitch = this.neverLockSwitch;
    if (WickrSession.getActiveSession().getSessionLock() < 0L);
    for (boolean bool = true; ; bool = false)
    {
      localSwitch.setChecked(bool);
      this.currentTimeoutSeekBar.setMax(-1 + this.timeoutValues.length);
      updateDisplay(WickrSession.getActiveSession().getSessionLock(), true);
      this.currentTimeoutSeekBar.setOnSeekBarChangeListener(new SeekBar.OnSeekBarChangeListener()
      {
        public void onProgressChanged(SeekBar paramAnonymousSeekBar, int paramAnonymousInt, boolean paramAnonymousBoolean)
        {
          if (WickrSession.getActiveSession().getSessionLock() > 0L)
            WickrAutoLockFragment.this.updateDisplay(WickrAutoLockFragment.this.timeoutValues[paramAnonymousSeekBar.getProgress()], false);
        }

        public void onStartTrackingTouch(SeekBar paramAnonymousSeekBar)
        {
        }

        public void onStopTrackingTouch(SeekBar paramAnonymousSeekBar)
        {
          WickrSession.getActiveSession().setSessionLockTime(WickrAutoLockFragment.this.timeoutValues[paramAnonymousSeekBar.getProgress()]);
        }
      });
      this.neverLockSwitch.setOnCheckedChangeListener(new CompoundButton.OnCheckedChangeListener()
      {
        public void onCheckedChanged(CompoundButton paramAnonymousCompoundButton, boolean paramAnonymousBoolean)
        {
          if (!paramAnonymousBoolean)
          {
            WickrSession.clearPasswordCache(WickrAutoLockFragment.this.getActivity());
            WickrAutoLockFragment.this.updateDisplay(WickrSession.getActiveSession().getSessionLock(), true);
            return;
          }
          AlertDialog.Builder localBuilder = new AlertDialog.Builder(WickrAutoLockFragment.this.getActivity());
          localBuilder.setCancelable(true);
          final EditText localEditText = new EditText(WickrAutoLockFragment.this.getActivity());
          localEditText.setHint("Password");
          localEditText.setInputType(129);
          localBuilder.setView(localEditText);
          localBuilder.setTitle("Never Lock?");
          localBuilder.setMessage("Please enter your password to confirm");
          localBuilder.setPositiveButton("Submit", new DialogInterface.OnClickListener()
          {
            public void onClick(DialogInterface paramAnonymous2DialogInterface, int paramAnonymous2Int)
            {
              if (WickrSession.getActiveSession().attemptSessionUnlock(localEditText.getText().toString()))
              {
                paramAnonymous2DialogInterface.dismiss();
                WickrSession.getActiveSession().cachePassword(localEditText.getText().toString());
                WickrAutoLockFragment.this.updateDisplay(WickrSession.getActiveSession().getSessionLock(), true);
                return;
              }
              WickrAutoLockFragment.this.neverLockSwitch.setChecked(false);
              WickrAutoLockFragment.this.updateDisplay(WickrSession.getActiveSession().getSessionLock(), true);
              paramAnonymous2DialogInterface.dismiss();
              WickrUtil.showDialogWithTitle(WickrAutoLockFragment.this.getActivity(), "Error", "You did not type the correct password. Please try again.");
            }
          });
          localBuilder.setNegativeButton("Cancel", new DialogInterface.OnClickListener()
          {
            public void onClick(DialogInterface paramAnonymous2DialogInterface, int paramAnonymous2Int)
            {
              paramAnonymous2DialogInterface.dismiss();
              WickrAutoLockFragment.this.neverLockSwitch.setChecked(false);
            }
          });
          localBuilder.setOnCancelListener(new DialogInterface.OnCancelListener()
          {
            public void onCancel(DialogInterface paramAnonymous2DialogInterface)
            {
              WickrAutoLockFragment.this.neverLockSwitch.setChecked(false);
            }
          });
          localBuilder.create().show();
        }
      });
      return;
    }
  }

  public View onCreateView(LayoutInflater paramLayoutInflater, ViewGroup paramViewGroup, Bundle paramBundle)
  {
    return paramLayoutInflater.inflate(2130903073, paramViewGroup, false);
  }

  public void updateDisplay(long paramLong, boolean paramBoolean)
  {
    int i;
    if (paramLong >= 0L)
    {
      i = 0;
      if (i < this.timeoutValues.length);
    }
    do
    {
      return;
      if (this.timeoutValues[i] == paramLong)
      {
        this.currentTimeoutTextView.setText(this.timeoutStrings[i]);
        this.currentTimeoutTextView.setTextColor(-16777216);
        this.currentTimeoutTextView.setAlpha(1.0F);
        this.currentTimeoutSeekBar.setAlpha(1.0F);
        this.currentTimeoutSeekBar.setEnabled(true);
        if (paramBoolean)
          this.currentTimeoutSeekBar.setProgress(i);
      }
      i++;
      break;
      this.currentTimeoutTextView.setText("Manual lock only");
      this.currentTimeoutTextView.setAlpha(0.5F);
      this.currentTimeoutTextView.setTextColor(-3355444);
      this.currentTimeoutSeekBar.setAlpha(0.5F);
      this.currentTimeoutSeekBar.setEnabled(false);
    }
    while (!paramBoolean);
    this.currentTimeoutSeekBar.setProgress(this.currentTimeoutSeekBar.getMax());
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.gui.fragments.WickrAutoLockFragment
 * JD-Core Version:    0.6.2
 */