package com.mywickr.gui.fragments;

import android.content.DialogInterface;
import android.content.DialogInterface.OnClickListener;
import android.os.Bundle;
import android.support.v4.app.FragmentActivity;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.ListView;
import android.widget.RadioGroup;
import android.widget.RadioGroup.OnCheckedChangeListener;
import android.widget.Toast;
import com.actionbarsherlock.view.Menu;
import com.actionbarsherlock.view.MenuInflater;
import com.actionbarsherlock.view.MenuItem;
import com.mywickr.gui.WickrWizardActivity;
import com.mywickr.gui.listadapters.WickrFriendsAdapter;
import com.mywickr.helpers.WCInviteMethods;
import com.mywickr.wickr.contacts.Contact;
import com.mywickr.wickr.contacts.ContactFetcher;
import java.util.ArrayList;

public class WickrInviteFriendFragment extends WickrSherlockFragment
  implements DialogInterface.OnClickListener
{
  WickrFriendsAdapter contactAdapter;
  private ContactFetcher contactFetcher = null;
  private boolean isWizard = false;
  ListView list;
  int modeType = 0;
  private RadioGroup mutiloption = null;
  private Button nextButton;

  private void setMode(WickrUserFilterMode paramWickrUserFilterMode)
  {
    if (paramWickrUserFilterMode == WickrUserFilterMode.WICKR_CONTACT_PHONE)
      this.modeType = 0;
    for (this.contactAdapter = new WickrFriendsAdapter(this.contactFetcher.getPhoneNumberContact(), getActivity(), 17367056); ; this.contactAdapter = new WickrFriendsAdapter(this.contactFetcher.getEmailContact(), getActivity(), 17367056))
    {
      this.list.setChoiceMode(2);
      this.list.setAdapter(this.contactAdapter);
      return;
      this.modeType = 1;
    }
  }

  public void onActivityCreated(Bundle paramBundle)
  {
    super.onCreate(paramBundle);
    if (this.activityHasError)
      return;
    this.list = ((ListView)getActivity().findViewById(2131296393));
    this.list.setOnItemClickListener(new AdapterView.OnItemClickListener()
    {
      public void onItemClick(AdapterView<?> paramAnonymousAdapterView, View paramAnonymousView, int paramAnonymousInt, long paramAnonymousLong)
      {
        CheckBox localCheckBox = (CheckBox)paramAnonymousView.findViewById(2131296398);
        if (localCheckBox.isChecked())
        {
          localCheckBox.setChecked(false);
          return;
        }
        localCheckBox.setChecked(true);
      }
    });
    this.contactFetcher = new ContactFetcher(getActivity());
    if (getArguments() != null)
      this.isWizard = getArguments().getBoolean("isWizard", false);
    if (this.isWizard)
    {
      final WickrWizardActivity localWickrWizardActivity = (WickrWizardActivity)getActivity();
      localWickrWizardActivity.setActionBarTitle("Invite Friends");
      this.nextButton = ((Button)getActivity().findViewById(2131296384));
      this.nextButton.setVisibility(0);
      this.nextButton.setOnClickListener(new View.OnClickListener()
      {
        public void onClick(View paramAnonymousView)
        {
          localWickrWizardActivity.advanceWizard();
        }
      });
    }
    this.mutiloption = ((RadioGroup)getActivity().findViewById(2131296353));
    this.mutiloption.setOnCheckedChangeListener(new RadioGroup.OnCheckedChangeListener()
    {
      public void onCheckedChanged(RadioGroup paramAnonymousRadioGroup, int paramAnonymousInt)
      {
        if (paramAnonymousInt == 2131296391)
        {
          WickrInviteFriendFragment.this.setMode(WickrInviteFriendFragment.WickrUserFilterMode.WICKR_CONTACT_PHONE);
          return;
        }
        WickrInviteFriendFragment.this.setMode(WickrInviteFriendFragment.WickrUserFilterMode.WICKR_CONTACT_EMAIL);
      }
    });
    setMode(WickrUserFilterMode.WICKR_CONTACT_PHONE);
  }

  public void onClick(DialogInterface paramDialogInterface, int paramInt)
  {
  }

  public void onCreateOptionsMenu(Menu paramMenu, MenuInflater paramMenuInflater)
  {
    if (this.activityHasError)
      return;
    paramMenuInflater.inflate(2131558405, paramMenu);
    super.onCreateOptionsMenu(paramMenu, paramMenuInflater);
  }

  public View onCreateView(LayoutInflater paramLayoutInflater, ViewGroup paramViewGroup, Bundle paramBundle)
  {
    View localView = paramLayoutInflater.inflate(2130903079, paramViewGroup, false);
    setHasOptionsMenu(true);
    return localView;
  }

  public boolean onOptionsItemSelected(MenuItem paramMenuItem)
  {
    ArrayList localArrayList = new ArrayList();
    Boolean[] arrayOfBoolean = this.contactAdapter.mChecked;
    int i = arrayOfBoolean.length;
    int j = 0;
    if (j >= i)
    {
      if (localArrayList.size() > 0)
        break label92;
      Toast.makeText(getActivity().getBaseContext(), "Select at least one contact to invite ", 0).show();
    }
    while (true)
    {
      return super.onOptionsItemSelected(paramMenuItem);
      if (arrayOfBoolean[j].booleanValue())
        localArrayList.add((Contact)this.contactAdapter.getItem(j));
      j++;
      break;
      label92: WCInviteMethods localWCInviteMethods = new WCInviteMethods();
      if (this.modeType == 0)
        localWCInviteMethods.sendInviteByPhoneno(getActivity(), localArrayList);
      else
        localWCInviteMethods.sendInviteByEmail(getActivity(), localArrayList);
    }
  }

  public static enum WickrUserFilterMode
  {
    static
    {
      WICKR_CONTACT_EMAIL = new WickrUserFilterMode("WICKR_CONTACT_EMAIL", 1);
      WickrUserFilterMode[] arrayOfWickrUserFilterMode = new WickrUserFilterMode[2];
      arrayOfWickrUserFilterMode[0] = WICKR_CONTACT_PHONE;
      arrayOfWickrUserFilterMode[1] = WICKR_CONTACT_EMAIL;
    }
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.gui.fragments.WickrInviteFriendFragment
 * JD-Core Version:    0.6.2
 */